/* $Id: test_generic_addr.c,v 1.2 2002/09/18 09:08:54 bortzmeyer Exp $ */

#include <sys/types.h>
#include <stdio.h>
#include "ip_address.c"

#define PRINT_TEXT   printf ("The text form is %s\n", ip_address_out (&gaddr))

void
elog(int lev, const char *msg,...) {
  printf ("%s\n", msg); /* What about the other args? */
}

int
main (int argc, char **argv)
{
  char *textaddress, *textaddress2, *text2;
  void *result;
  generic_addr gaddr, gaddr2;
  if (argc < 3)
    {
      printf ("Usage: %s address address\n", argv[0]);
      return 1;
    }
  textaddress = argv[1];
  textaddress2 = argv[2];
  result = ip_address_in (textaddress);
  if (!result) {
    exit(1);
  }
  gaddr = *(generic_addr *)result;
  free(result);
  result = ip_address_in (textaddress2);
  if (!result) {
    exit(1);
  }
  gaddr2 = *(generic_addr *)result;
  free(result);
  text2 = ip_address_out (&gaddr );
  printf ("The texte form is %s\n", text2);
  free (text2);
  text2 = ip_address_out (&gaddr2);
  printf ("The texte form is %s\n", text2);
  free (text2);
  return 0;
}

