--	$Id: test_ip_address.sql,v 1.2 2002/09/18 14:25:13 bortzmeyer Exp $
--

CREATE TABLE Hosts (name TEXT, address ip_address);

INSERT INTO Hosts VALUES ('foo.bar.com', '1.2.3.4');
INSERT INTO Hosts VALUES ('foo.baz.com', '2.3.4.234');
INSERT INTO Hosts VALUES ('foo.ipv6.bar.com', 'fec0::567');
INSERT INTO Hosts VALUES ('ns.nic.eu', '3fff::56:ab3:788');
INSERT INTO Hosts VALUES ('ns.nic.eu', '192.168.1.1');
INSERT INTO Hosts VALUES ('fu.ipv6.bar.com', '::1');
-- Should fail
INSERT INTO Hosts VALUES ('illegal.completely', '1:::1');
INSERT INTO Hosts VALUES ('illegal.completely', '1::1::2');
INSERT INTO Hosts VALUES ('illegal.completely', 'feZa::1');
INSERT INTO Hosts VALUES ('illegal.completely', '1.2.3');
INSERT INTO Hosts VALUES ('illegal.completely', 'foo.bar.com');

SELECT * FROM Hosts ORDER BY address;

SELECT * FROM Hosts WHERE (is_ipv6(address)) ORDER BY name;






